RDKit::MolStandardize Namespace Reference

## Classes

class | AcidBaseCatalogEntry
class | AcidBaseCatalogParams
class | AllowedAtomsValidation
struct | ChargeCorrection
struct | CleanupParameters
| The CleanupParameters structure defines the default parameters for the. More...
class | DisallowedAtomsValidation
class | FragmentCatalogEntry
class | FragmentCatalogParams
class | FragmentRemover
class | FragmentValidation
| The FragmentValidation class logs if certain fragments are present. More...
class | IsotopeValidation
| The IsotopeValidation class logs if molecule contains isotopes. More...
class | LargestFragmentChooser
class | MetalDisconnector
class | MolVSValidation
| The MolVSValidation class can be used to perform all MolVSValidions. More...
class | MolVSValidations
| The MolVSValidations class includes most of the same validations as. More...
class | NeutralValidation
| The NeutralValidation class logs if not an overall neutral system. More...
class | NoAtomValidation
| The NoAtomValidation class throws an error if no atoms are present in the. More...
class | Normalizer
| The Normalizer class for applying Normalization transforms. More...
class | RDKitValidation
| The RDKitValidation class throws an error when there are no atoms in the. More...
class | Reionizer
| The reionizer class to fix charges and reionize a molecule such that the. More...
class | TautomerCanonicalizer
class | TautomerCatalogEntry
class | TautomerCatalogParams
class | TautomerEnumerator
class | TautomerTransform
class | TransformCatalogEntry
class | TransformCatalogParams
class | Uncharger
| The Uncharger class for neutralizing ionized acids and bases. More...
class | ValidationErrorInfo
| The ValidationErrorInfo class is used to store the information returned by a. More...
class | ValidationMethod
| The ValidationMethod class is the abstract base class upon which all the. More...

## Typedefs

typedef RDCatalog::HierarchCatalog< AcidBaseCatalogEntry, AcidBaseCatalogParams, int > | AcidBaseCatalog
typedef RDCatalog::HierarchCatalog< FragmentCatalogEntry, FragmentCatalogParams, int > | FragmentCatalog
typedef RDCatalog::HierarchCatalog< TransformCatalogEntry, TransformCatalogParams, int > | TransformCatalog
typedef RDCatalog::HierarchCatalog< TautomerCatalogEntry, TautomerCatalogParams, int > | TautomerCatalog

## Functions

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > | readPairs (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > | readPairs (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > | readFuncGroups (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > | readFuncGroups (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | cleanup (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
| The cleanup function is equivalent to the. More...
RDKIT_MOLSTANDARDIZE_EXPORT void | tautomerParent (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
| TODO not yet finished! More...
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | fragmentParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
| Returns the fragment parent of a given molecule. The fragment parent is the. More...
RDKIT_MOLSTANDARDIZE_EXPORT void | stereoParent (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
RDKIT_MOLSTANDARDIZE_EXPORT void | isotopeParent (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | chargeParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | superParent (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | normalize (const RWMol *mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as Normalizer().normalize(mol) More...
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | reionize (const RWMol *mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as Reionizer().reionize(mol) More...
RDKIT_MOLSTANDARDIZE_EXPORT std::string | standardizeSmiles (const std::string &smiles)
| Convenience function for quickly standardizing a single SMILES string. More...
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::string > | enumerateTautomerSmiles (const std::string &smiles, const CleanupParameters &params=defaultCleanupParameters)
| TODO. More...
std::vector< std::pair< unsigned int, unsigned int > > | pairwise (const std::vector< int > vect)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< Bond::BondType > | stringToBondType (std::string bond_str)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< int > | stringToCharge (std::string charge_str)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > | readTautomers (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > | readTautomers (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > | readTransformations (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > | readTransformations (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< ValidationErrorInfo > | validateSmiles (const std::string &smiles)
| A convenience function for quickly validating a single SMILES string. More...

## Variables

const RDKIT_MOLSTANDARDIZE_EXPORT CleanupParameters | defaultCleanupParameters
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< ChargeCorrection > | CHARGE_CORRECTIONS

## Typedef Documentation

## AcidBaseCatalog

typedef RDCatalog::HierarchCatalog<AcidBaseCatalogEntry, AcidBaseCatalogParams, int> RDKit::MolStandardize::AcidBaseCatalog

Definition at line 35 of file Charge.h.

## FragmentCatalog

typedef RDCatalog::HierarchCatalog<FragmentCatalogEntry, FragmentCatalogParams, int> RDKit::MolStandardize::FragmentCatalog

Definition at line 29 of file Fragment.h.

## TautomerCatalog

typedef RDCatalog::HierarchCatalog<TautomerCatalogEntry, TautomerCatalogParams, int> RDKit::MolStandardize::TautomerCatalog

Definition at line 27 of file MolStandardize/Tautomer.h.

## TransformCatalog

typedef RDCatalog::HierarchCatalog<TransformCatalogEntry, TransformCatalogParams, int> RDKit::MolStandardize::TransformCatalog

Definition at line 34 of file Normalize.h.

## Function Documentation

## chargeParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol* RDKit::MolStandardize::chargeParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`,
|  | bool | skip_standardize = `false`
| ) |  |

Returns the charge parent of a given molecule. The charge parent is the uncharged

## cleanup()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol* RDKit::MolStandardize::cleanup | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

The cleanup function is equivalent to the.

## enumerateTautomerSmiles()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<std::string> RDKit::MolStandardize::enumerateTautomerSmiles | ( | const std::string & | smiles,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

TODO.

## fragmentParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol* RDKit::MolStandardize::fragmentParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`,
|  | bool | skip_standardize = `false`
| ) |  |

Returns the fragment parent of a given molecule. The fragment parent is the.

## isotopeParent()

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::isotopeParent | ( | RWMol & | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

## normalize()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol* RDKit::MolStandardize::normalize | ( | const RWMol * | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

Works the same as Normalizer().normalize(mol)

## pairwise()

std::vector<std::pair<unsigned int, unsigned int> > RDKit::MolStandardize::pairwise | ( | const std::vector< int > | vect | ) |

## readFuncGroups() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<std::shared_ptr<ROMol> > RDKit::MolStandardize::readFuncGroups | ( | std::istream & | inStream,
|  | int | nToRead = `-1`
| ) |  |

## readFuncGroups() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<std::shared_ptr<ROMol> > RDKit::MolStandardize::readFuncGroups | ( | std::string | fileName | ) |

## readPairs() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<std::pair<ROMOL_SPTR, ROMOL_SPTR> > RDKit::MolStandardize::readPairs | ( | std::istream & | inStream,
|  | int | nToRead = `-1`
| ) |  |

## readPairs() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<std::pair<ROMOL_SPTR, ROMOL_SPTR> > RDKit::MolStandardize::readPairs | ( | std::string | fileName | ) |

## readTautomers() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<TautomerTransform> RDKit::MolStandardize::readTautomers | ( | std::istream & | inStream,
|  | int | nToRead = `-1`
| ) |  |

## readTautomers() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<TautomerTransform> RDKit::MolStandardize::readTautomers | ( | std::string | fileName | ) |

## readTransformations() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<std::shared_ptr<ChemicalReaction> > RDKit::MolStandardize::readTransformations | ( | std::istream & | inStream,
|  | int | nToRead = `-1`
| ) |  |

## readTransformations() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<std::shared_ptr<ChemicalReaction> > RDKit::MolStandardize::readTransformations | ( | std::string | fileName | ) |

## reionize()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol* RDKit::MolStandardize::reionize | ( | const RWMol * | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

Works the same as Reionizer().reionize(mol)

## standardizeSmiles()

RDKIT_MOLSTANDARDIZE_EXPORT std::string RDKit::MolStandardize::standardizeSmiles | ( | const std::string & | smiles | ) |

Convenience function for quickly standardizing a single SMILES string.

## stereoParent()

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::stereoParent | ( | RWMol & | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

## stringToBondType()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<Bond::BondType> RDKit::MolStandardize::stringToBondType | ( | std::string | bond_str | ) |

## stringToCharge()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<int> RDKit::MolStandardize::stringToCharge | ( | std::string | charge_str | ) |

## superParent()

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::superParent | ( | RWMol & | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

## tautomerParent()

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::tautomerParent | ( | RWMol & | mol,
|  | const CleanupParameters & | params = `defaultCleanupParameters`
| ) |  |

TODO not yet finished!

## validateSmiles()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<ValidationErrorInfo> RDKit::MolStandardize::validateSmiles | ( | const std::string & | smiles | ) |

A convenience function for quickly validating a single SMILES string.

## Variable Documentation

## CHARGE_CORRECTIONS

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<ChargeCorrection> RDKit::MolStandardize::CHARGE_CORRECTIONS

## defaultCleanupParameters

const RDKIT_MOLSTANDARDIZE_EXPORT CleanupParameters RDKit::MolStandardize::defaultCleanupParameters

Definition at line 25 of file Fragment.h.